Bug 1032913 - [RFE] Add button to "Define new VM and start it immediatelly" to web interface
[RFE] Add button to "Define new VM and start it immediatelly" to web interface
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nobody nobody
Pavel Stehlik
virt
: FutureFeature, Improvement
Depends On:
Blocks: 1213937
  Show dependency treegraph
 
Reported: 2013-11-21 04:04 EST by Petr Spacek
Modified: 2017-01-03 06:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 10:24:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshoot from web admin with the new button (64.45 KB, image/png)
2013-11-21 04:04 EST, Petr Spacek
no flags Details

  None (edit)
Description Petr Spacek 2013-11-21 04:04:06 EST
Created attachment 827076 [details]
screenshoot from web admin with the new button

Hello,

our team uses RHEV-M heavily for development and testing purposes so we create and delete a lot of VMs every day. The usual work flow is to create VM and start it immediately.

There is some latency between click to "Ok" in "New Desktop Virtual Machine" dialog and the state "Down" (with red square icon) when the VM can be started - this is very annoying.

I propose to add new button to the "New Desktop Virtual Machine" dialog. The button would create the new VM and start as soon as possible.

I'm attaching modified screenshot. Of course, the name of the button could be whatever.

Thank you and have a nice day.
Comment 1 Itamar Heim 2013-11-21 18:03:36 EST
Maybe change OK to create, and this to "create & launch".
or maybe add a checkbox of "launch this VM once its created"
Comment 2 Petr Spacek 2013-11-22 03:19:09 EST
I'm not UI designer but personally I would prefer two buttons instead of checkbox. It saves you one click :-)

You can see similar UI at
http://pvoborni.fedorapeople.org/ui/
(click to Users->Add)
Comment 3 Scott Herold 2013-11-26 10:24:13 EST
We'll be creating a new RFE to enhance deploying and running VMs directly from template.
Comment 4 Petr Spacek 2015-07-08 12:15:36 EDT
Could you please give me bug # of the new RFE? I would like to track it.

Thank you!
Comment 5 Yaniv Lavi 2017-01-03 06:07:34 EST
Removing old needinfos. Please restore, if still needed.

Note You need to log in before you can comment on or make changes to this bug.